using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    public enum Measurand
    {
        [EnumMember(Value = "Current.Export")]
        Current_Export=1,
        [EnumMember(Value = "Current.Import")]
        Current_Import,
        [EnumMember(Value = "Current.Offered")]
        Current_Offered,
        [EnumMember(Value = "Energy.Active.Export.Register")]
        Energy_Active_Export_Register,
        [EnumMember(Value = "Energy.Active.Import.Register")]
        Energy_Active_Import_Register,
        [EnumMember(Value = "Energy.Reactive.Export.Register")]
        Energy_Reactive_Export_Register,
        [EnumMember(Value = "Energy.Reactive.Import.Register")]
        Energy_Reactive_Import_Register,
        [EnumMember(Value = "Energy.Active.Export.Interval")]
        Energy_Active_Export_Interval,
        [EnumMember(Value = "Energy.Active.Import.Interval")]
        Energy_Active_Import_Interval,
        [EnumMember(Value = "Energy.Reactive.Export.Interval")]
        Energy_Reactive_Export_Interval,
        [EnumMember(Value = "Energy.Reactive.Import.Interval")]
        Energy_Reactive_Import_Interval,
        Frequency,
        [EnumMember(Value = "Power.Active.Export")]
        Power_Active_Export,
        [EnumMember(Value = "Power.Active.Import")]
        Power_Active_Import,
        [EnumMember(Value = "Power.Factor")]
        Power_Factor,
        [EnumMember(Value = "Power.Offered")]
        Power_Offered,
        [EnumMember(Value = "Power.Reactive.Export")]
        Power_Reactive_Export,
        [EnumMember(Value = "Power.Reactive.Import")]
        Power_Reactive_Import,
        RPM,
        SoC,
        Temperature,
        Voltage,

        #region 自定義
        /// <summary>充電金額</summary>
        ChargingCost = 50,
        /// <summary>總金額</summary>
        TotalCost = 51,
        /// <summary>當次累進能量</summary>
        TotalEnergy = 52,

        #endregion
    }
}
